import { Component, ReactElement } from 'react';
import { OptionProps } from './Option';
import { Placement } from './Mentions';
interface KeywordTriggerProps {
    options: OptionProps[];
    prefixCls?: string;
    placement?: Placement;
    visible?: boolean;
    transitionName?: string;
    children?: ReactElement;
    getPopupContainer?: (triggerNode: Element) => HTMLElement;
}
declare class KeywordTrigger extends Component<KeywordTriggerProps, {}> {
    getDropdownElement(): JSX.Element;
    getDropDownPlacement(): "topLeft" | "bottomLeft";
    render(): JSX.Element;
}
export default KeywordTrigger;
